Skip to main content
POST
/
investors
/
{investor_id}
/
cash-management
Enrol an investor (open a cash management account)
curl --request POST \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/cash-management \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "program_id": "cmp_01j9x8m2k7qpzwv3t5r6y8n0ab",
  "currencies": [
    "<string>"
  ],
  "consent": {
    "accepted": true,
    "accepted_at": "2023-11-07T05:31:56Z",
    "ip_address": "<string>",
    "user_agent": "<string>",
    "actor_ref": "<string>",
    "disclosure_ids": [
      "<string>"
    ]
  }
}
'
{
  "id": "cma_01j9x8m2k7qpzwv3t5r6y8n0ab",
  "object": "cash_management_account",
  "created": 123,
  "livemode": true,
  "investor_id": "<string>",
  "program_id": "<string>",
  "status": "active",
  "currencies": [
    {
      "currency": "<string>",
      "status": "<string>",
      "net_yield": "<string>",
      "net_yield_bps": 123
    }
  ],
  "activated_at": "2023-11-07T05:31:56Z",
  "closed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required
Example:

"inv_01j9x8m2k7qpzwv3t5r6y8n0ab"

Body

application/json
program_id
string
required
Example:

"cmp_01j9x8m2k7qpzwv3t5r6y8n0ab"

currencies
string[]

Response

Account created

id
string
Example:

"cma_01j9x8m2k7qpzwv3t5r6y8n0ab"

object
string
Example:

"cash_management_account"

created
integer
livemode
boolean
investor_id
string
program_id
string
status
string
Example:

"active"

currencies
object[]
activated_at
string<date-time> | null
closed_at
string<date-time> | null